> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/conversations-api/api-reference/channel-configuration/get-conversations-configuration.md).

# Get conversations configuration

## Get channel's conversations configuration

> This endpoint can be used to verify whether conversations are enabled for a channel, causing incoming messages to start new conversations. If it isn't, you'll need enable it in order to use conversations APIs. This can be done through the UI or by performing a \`PATCH\` request.<br>

```json
{"openapi":"3.0.3","info":{"title":"Conversations","version":"v1"},"tags":[{"name":"conversation","description":"Conversations are a collection of messages between two or more participants."}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"ConversationalChannel":{"type":"object","additionalProperties":false,"required":["status"],"properties":{"status":{"type":"string","description":"Conversation status. If enabled, creates conversations for incoming messages.","enum":["active","inactive"]}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"notFound":{"$ref":"#/components/responses/error.response.not_found"},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/channels/{channelId}/conversational":{"get":{"summary":"Get channel's conversations configuration","operationId":"getConversationChannel","description":"This endpoint can be used to verify whether conversations are enabled for a channel, causing incoming messages to start new conversations. If it isn't, you'll need enable it in order to use conversations APIs. This can be done through the UI or by performing a `PATCH` request.\n","tags":["conversation"],"responses":{"200":{"description":"The channel's conversations configuration","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationalChannel"}}}},"404":{"$ref":"#/components/responses/notFound"}}}}}}
```

## Examples

{% tabs %}
{% tab title="Request" %}

```bash
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/channels/9673b291-2f71-43c1-a07c-6f2ff0926818/conversational" \
-H "Authorization: AccessKey abcd"
```

{% endtab %}

{% tab title="Response (200 - OK)" %}

```json
{
  "status": "active"
}
```

{% endtab %}
{% endtabs %}
